## chromium 128.0.6613.113

=== debian/changelog ===
chromium (128.0.6613.113-1revyos1) unstable; urgency=medium

  [ Eric Long ]
  * Build on riscv64

 -- Han Gao <gaohan@iscas.ac.cn>  Wed, 04 Sep 2024 18:49:11 +0000

chromium (128.0.6613.113-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2024-7969: Type Confusion in V8.
      Reported by CFF of Topsec Alpha Team.
    - CVE-2024-8193: Heap buffer overflow in Skia.
      Reported by Renan Rios (@hyhy_100).
    - CVE-2024-8194: Type Confusion in V8. Reported by Seunghyun Lee (@0x10n).
    - CVE-2024-8198: Heap buffer overflow in Skia.
      Reported by Renan Rios (@hyhy_100).
  * d/control:
    - Bump rustc build-dep up to >= 1.74.
  * d/patches:
    - bookworm/rust-downgrade-osstr-users.patch: drop, now that we have a
      newer rust in bookworm.

 -- Andres Salomon <dilinger@debian.org>  Thu, 29 Aug 2024 01:10:43 -0400

chromium (125.0.6422.112-1revyos1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream security release

 -- Eric Long <i@hack3r.moe>  Tue, 28 May 2024 15:53:54 +0800

chromium (125.0.6422.60-1revyos1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for riscv64

 -- Eric Long <i@hack3r.moe>  Fri, 17 May 2024 23:30:33 +0800

chromium (123.0.6312.122-1revyos1) UNRELEASED; urgency=medium

  * Enable riscv64 support

 -- Eric Long <i@hack3r.moe>  Mon, 15 Apr 2024 15:51:22 +0800

chromium (122.0.6261.94-1revyos1) UNRELEASED; urgency=medium

  * Port riscv64 support

 -- Eric Long <i@hack3r.moe>  Mon, 04 Mar 2024 14:13:31 +0800

chromium (121.0.6167.160-1revyos1) unstable; urgency=medium

  [ Bo YU ]
  * Add riscv64 support

  [ Eric Long ]
  * Re-enable EGL path for OpenGL ES-only Linux systems

 -- Eric Long <i@hack3r.moe>  Mon, 19 Feb 2024 14:15:51 +0000
