## chromium 128.0.6613.119~linuxmint1+elsie

=== debian/changelog ===
chromium (128.0.6613.119~linuxmint1+elsie) unstable; urgency=medium

  * 128.0.6613.119

 -- Linux Mint <root@linuxmint.com>  Mon, 02 Sep 2024 18:02:21 +0100

chromium (128.0.6613.113~linuxmint1) unstable; urgency=medium

  * 128.0.6613.113

 -- Linux Mint <root@linuxmint.com>  Wed, 28 Aug 2024 19:52:22 +0100

chromium (128.0.6613.84~linuxmint1) unstable; urgency=medium

  * 128.0.6613.84

 -- Linux Mint <root@linuxmint.com>  Wed, 21 Aug 2024 22:04:23 +0100
