## chromium 128.0.6613.119~linuxmint1+faye

=== debian/changelog ===
chromium (128.0.6613.119~linuxmint1+faye) unstable; urgency=medium

  * 128.0.6613.119

 -- Linux Mint <root@linuxmint.com>  Mon, 02 Sep 2024 18:02:21 +0100
