## chromium 128.0.6613.137

=== debian/changelog ===
chromium (128.0.6613.137-1~deb12u1) bookworm-security; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2024-8636: Heap buffer overflow in Skia.
      Reported by Renan Rios (@hyhy_100).
    - CVE-2024-8637: Use after free in Media Router. Reported by
      lime(@limeSec_) from TIANGONG Team of Legendsec at QI-ANXIN Group.
    - CVE-2024-8638: Type Confusion in V8.
      Reported by Zhenghang Xiao (@Kipreyyy).
    - CVE-2024-8639: Use after free in Autofill. Reported by
      lime(@limeSec_) from TIANGONG Team of Legendsec at QI-ANXIN Group.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - core/add-ppc64-architecture-string.patch
    - fixes/fix-study-crash.patch

  [ Daniel Richard G. ]
  * d/copyright: Add some more Files-Excluded: entries.
  * d/rules: Ensure all files in orig source tarball are user-writable.
  * d/patches/disable:
    - tests.patch: Break out SwiftShader tests deletion to...
    - tests-swiftshader.patch: ...a separate file, to simplify resolving
      conflicts with the ungoogled-chromium patch series.

 -- Andres Salomon <dilinger@debian.org>  Tue, 10 Sep 2024 21:56:02 -0400

chromium (128.0.6613.119-1~deb12u1) bookworm-security; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2024-8362: Use after free in WebAudio.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2024-7970: Out of bounds write in V8.
      Reported by Cassidy Kim(@cassidy6564).
  * Enable swiftshader support; thanks to Charles Samuels for helping out
    on this (closes: #1064465).
  * d/patches:
    - disable/swiftshader.patch: drop.
    - disable/swiftshader-2.patch: drop.
    - disable/tests.patch: some swiftshader tests deletion needed.

  [ Timothy Pearson ]
  * d/patches:
    - fixes/gpu-crash.patch: Fix GPU process crash (upstream issue #364568422)
    - ppc64le/third_party/0001-swiftshader-fix-build.patch: Fix SwiftShader
      build on ppc64el systems

 -- Andres Salomon <dilinger@debian.org>  Wed, 04 Sep 2024 15:05:06 -0400

chromium (128.0.6613.113-1~deb12u1) bookworm-security; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2024-7969: Type Confusion in V8.
      Reported by CFF of Topsec Alpha Team.
    - CVE-2024-8193: Heap buffer overflow in Skia.
      Reported by Renan Rios (@hyhy_100).
    - CVE-2024-8194: Type Confusion in V8. Reported by Seunghyun Lee (@0x10n).
    - CVE-2024-8198: Heap buffer overflow in Skia.
      Reported by Renan Rios (@hyhy_100).
  * d/control:
    - Bump rustc-web build-dep up to >= 1.74.
  * d/patches:
    - bookworm/rust-downgrade-osstr-users.patch: drop, now that we have a
      newer rust in bookworm.
    - bookworm/crabbyav1f.patch: drop, no longer needed w/ new rust.
    - bookworm/rust-no-thin-lto.patch: drop, we can now enable thinlto w/
      new rust.
    - fixes/clang-rust-target.patch: add, needed for thinlto in rust.
    - ppc64le/fixes/fix-different-data-layouts.patch: add, needed for
      mismatch between newer rust and older clang.

 -- Andres Salomon <dilinger@debian.org>  Thu, 29 Aug 2024 01:10:43 -0400

chromium (128.0.6613.84-1~deb12u1) bookworm-security; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2024-7964: Use after free in Passwords. Reported by Anonymous.
    - CVE-2024-7965: Inappropriate implementation in V8. Reported by TheDog.
    - CVE-2024-7966: Out of bounds memory access in Skia.
      Reported by Renan Rios (@HyHy100).
    - CVE-2024-7967: Heap buffer overflow in Fonts.
      Reported by Tashita Software Security.
    - CVE-2024-7968: Use after free in Autofill.
      Reported by Han Zheng (HexHive).
    - CVE-2024-7969: Type Confusion in V8.
      Reported by CFF of Topsec Alpha Team.
    - CVE-2024-7971: Type confusion in V8. Reported by Microsoft Threat
      Intelligence Center (MSTIC), Microsoft Security Response Center (MSRC).
    - CVE-2024-7972: Inappropriate implementation in V8.
      Reported by Simon Gerst (intrigus-lgtm).
    - CVE-2024-7973: Heap buffer overflow in PDFium. Reported by soiax.
    - CVE-2024-7974: Insufficient data validation in V8 API.
      Reported by bowu(@gocrashed).
    - CVE-2024-7975: Inappropriate implementation in Permissions.
      Reported by Thomas Orlita.
    - CVE-2024-7976: Inappropriate implementation in FedCM.
      Reported by Alesandro Ortiz.
    - CVE-2024-7977: Insufficient data validation in Installer.
      Reported by Kim Dong-uk (@justlikebono).
    - CVE-2024-7978: Insufficient policy enforcement in Data Transfer.
      Reported by NDevTK.
    - CVE-2024-7979: Insufficient data validation in Installer.
      Reported by VulnNoob.
    - CVE-2024-7980: Insufficient data validation in Installer.
      Reported by VulnNoob.
    - CVE-2024-7981: Inappropriate implementation in Views.
      Reported by Thomas Orlita.
    - CVE-2024-8033: Inappropriate implementation in WebApp Installs.
      Reported by Lijo A.T.
    - CVE-2024-8034: Inappropriate implementation in Custom Tabs.
      Reported by Bharat (mrnoob).
    - CVE-2024-8035: Inappropriate implementation in Extensions.
      Reported by Microsoft.
  * d/copyright: delete third_party/siso/ which contains binaries.
  * d/rules: set safe_browsing_use_unrar=false to disable unrar.
  * d/patches:
    - fixes/blink-frags.patch: drop, merged upstream.
    - fixes/stats-collector.patch: drop, upstream deleted broken code.
    - fixes/chromium-browser-ui-missing-deps.patch: drop, fixed upstream.
    - upstream/armhf-ftbfs.patch: drop, merged upstream.
    - upstream/containers-header.patch: drop, merged upstream.
    - upstream/crabbyav1f.patch: drop, merged upstream.
    - upstream/lock-impl.patch: drop, merged upstream.
    - upstream/paint-layer-header.patch: drop, merged upstream.
    - disable/unrar.patch: drop, merged upstream w/ build arg.
    - bookworm/nvt.patch: drop, no longer needed.
    - fixes/ps-print.patch: refresh.
    - system/openjpeg.patch: refresh.

