=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
     ninja-build,
     python3-pkgconfig,
     lsb-release,
-    python2,
     python3,
     bison,
     flex,
@@ -46,7 +45,6 @@
     libkrb5-dev,
     libxkbcommon-dev,
     libpam0g-dev,
-    libpipewire-0.3-dev,
     libffi-dev,
     libgbm-dev,
     xcb-proto,
@@ -59,6 +57,8 @@
     libx11-xcb-dev,
     libxcb-dri3-dev,
     libtinfo5,
+    libva-dev,
+    libwayland-dev,
     libxshmfence-dev,
     libcurl4-openssl-dev,
     libevdev-dev,
