## chromium 129.0.6668.70~linuxmint1+faye

=== debian/changelog ===
chromium (129.0.6668.70~linuxmint1+faye) unstable; urgency=medium

  * 129.0.6668.70

 -- Linux Mint <root@linuxmint.com>  Tue, 24 Sep 2024 18:48:21 +0100

chromium (129.0.6668.58~linuxmint1) unstable; urgency=medium

  * 129.0.6668.58

 -- Linux Mint <root@linuxmint.com>  Tue, 17 Sep 2024 20:57:20 +0100
