## chromium 129.0.6668.70

=== debian/changelog ===
chromium (129.0.6668.70-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2024-9120: Use after free in Dawn. Reported by Anonymous.
    - CVE-2024-9121: Inappropriate implementation in V8.
      Reported by Tashita Software Security.
    - CVE-2024-9122: Type Confusion in V8.
      Reported by Seunghyun Lee (@0x10n).
    - CVE-2024-9123: Integer overflow in Skia.
      Reported by raven at KunLun lab.
  * d/copyright: delete more upstream .clang, .git, and android residue.

  [ Timothy Pearson ]
  * d/patches:
    - fixes/predictor-denial-of-service.patch: Work around upstream
      issue #368562245, which can cause denial of service of the entire
      browser process on specific types of Web sites.

 -- Andres Salomon <dilinger@debian.org>  Wed, 25 Sep 2024 15:23:27 -0400

chromium (129.0.6668.58-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2024-8904: Type Confusion in V8. Reported by Popax21.
    - CVE-2024-8905: Inappropriate implementation in V8.
      Reported by Ganjiang Zhou(@refrain_areu) of ChaMd5-H1 team.
    - CVE-2024-8906: Incorrect security UI in Downloads.
      Reported by @retsew0x01.
    - CVE-2024-8907: Insufficient data validation in Omnibox.
      Reported by Muhammad Zaid Ghifari.
    - CVE-2024-8908: Inappropriate implementation in Autofill.
      Reported by Levit Nudi from Kenya.
    - CVE-2024-8909: Inappropriate implementation in UI.
      Reported by Shaheen Fazim.
  * d/patches:
    - debianization/sandbox.patch: refresh for upstream changes. Since we
      have some downstream users of this package, retain the Ubuntu wording.
    - disable/tests.patch: refresh.
    - disable/catapult.patch: refresh.
    - bookworm/clang16.patch: refresh, delete -Wno-dangling-assignment-gsl
    - ppc64le/crashpad/0001-Implement-support-for-PPC64-on-Linux.patch:
      refresh.
    - ppc64le/sandbox/Sandbox-linux-services-credentials.cc-PPC.patch:
      refresh.
    - ppc64le/third_party/dawn-fix-ppc64le-detection.patch: refresh.
    - bookworm/more-spaceships.patch: yet another clang-17 header
      backport for clang-16 inadequecies.
    - bookworm/signer-lambda.patch: clang-16 lambda bug workaround.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - third_party/dawn-fix-typos.patch: drop, applied upstream
    - third_party/0003-third_party-ffmpeg-Add-ppc64-generated-config.patch:
      refresh for upstream changes
    - libaom/0001-Add-pregenerated-config-for-libaom-on-ppc64.patch: refresh
      for upstream changes
    - core/cargo-add-ppc64.diff: Add ppc64 to cargo architecture definitions

 -- Andres Salomon <dilinger@debian.org>  Wed, 18 Sep 2024 20:47:23 -0400

chromium (128.0.6613.137-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2024-8636: Heap buffer overflow in Skia.
      Reported by Renan Rios (@hyhy_100).
    - CVE-2024-8637: Use after free in Media Router. Reported by
      lime(@limeSec_) from TIANGONG Team of Legendsec at QI-ANXIN Group.
    - CVE-2024-8638: Type Confusion in V8.
      Reported by Zhenghang Xiao (@Kipreyyy).
    - CVE-2024-8639: Use after free in Autofill. Reported by
      lime(@limeSec_) from TIANGONG Team of Legendsec at QI-ANXIN Group.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - core/add-ppc64-architecture-string.patch
    - fixes/fix-study-crash.patch

  [ Daniel Richard G. ]
  * d/copyright: Add some more Files-Excluded: entries.
  * d/rules: Ensure all files in orig source tarball are user-writable.
  * d/patches/disable:
    - tests.patch: Break out SwiftShader tests deletion to...
    - tests-swiftshader.patch: ...a separate file, to simplify resolving
      conflicts with the ungoogled-chromium patch series.

 -- Andres Salomon <dilinger@debian.org>  Tue, 10 Sep 2024 21:56:02 -0400

chromium (128.0.6613.119-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2024-8362: Use after free in WebAudio.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2024-7970: Out of bounds write in V8.
      Reported by Cassidy Kim(@cassidy6564).
  * Enable swiftshader support; thanks to Charles Samuels for helping out
    on this (closes: #1064465).
  * d/patches:
    - disable/swiftshader.patch: drop.
    - disable/swiftshader-2.patch: drop.
    - disable/tests.patch: some swiftshader tests deletion needed.

  [ Timothy Pearson ]
  * d/patches:
    - fixes/gpu-crash.patch: Fix GPU process crash (upstream issue #364568422)
    - ppc64le/third_party/0001-swiftshader-fix-build.patch: Fix SwiftShader
      build on ppc64el systems

 -- Andres Salomon <dilinger@debian.org>  Wed, 04 Sep 2024 15:05:06 -0400
