=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libclang-rt-16-dev,
  libc++-16-dev,
  libc++abi-16-dev,
- rustc-web (>= 1.74),
+ rustc (>= 1.74),
  bindgen,
  python3,
  pkg-config,
@@ -72,7 +72,7 @@
  libopus-dev,
  libxtst-dev,
  libjpeg-dev,
- libxml2-dev (<< 2.10),
+ libxml2-dev (>= 2.12),
  libgtk-3-dev,
  libxslt1-dev,
  liblcms2-dev,
@@ -108,7 +108,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libgtk-3-0 | xdg-desktop-portal-backend,
+ libgtk-3-0t64 | xdg-desktop-portal-backend,
  chromium-common (= ${binary:Version}),
 Recommends:
  chromium-sandbox,
