## chromium 129.0.6668.89

=== debian/changelog ===
chromium (129.0.6668.89-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2024-7025: Integer overflow in Layout.
      Reported by Tashita Software Security.
    - CVE-2024-9369: Insufficient data validation in Mojo.
      Reported by Xiantong Hou and Pisanbao of Wuheng Lab.
    - CVE-2024-9370: Inappropriate implementation in V8. Reported by
      Nguyễn Hoàng Thạch, Đỗ Minh Tuấn, and Wu JinLin of STAR Labs SG Pte Ltd.
  * d/patches:
    - bookworm/libxml-parseerr.patch: readd for downgraded libxml2 in
      unstable (closes: #1082907).
    - upstream/wayland-gbm-pixmap.patch: backport two patches to fix
      noisy wayland video playback (closes: #1077345).
  * Build against system libtiff, thanks to
    Soren Stoutner <soren@stoutner.com> for getting this fixed upstream
    (closes: #1033747).

 -- Andres Salomon <dilinger@debian.org>  Wed, 02 Oct 2024 01:07:19 -0400
