=== debian/rules ===
--- 
+++ 
@@ -117,6 +117,7 @@
          use_system_lcms2=true \
          use_system_libjpeg=true \
          use_system_libpng=true \
+         use_system_libtiff=true \
          use_system_freetype=true \
          use_system_harfbuzz=true \
          use_system_libopenjpeg2=true \
@@ -230,4 +231,3 @@
 	chmod -R u+w $(extract)
 	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
 	@echo
-	test ! -e $(origtxz) || rm -f $(origtxz)
