## chromium 129.0.6668.100~linuxmint1+faye

=== debian/changelog ===
chromium (129.0.6668.100~linuxmint1+faye) unstable; urgency=medium

  * 129.0.6668.100

 -- Linux Mint <root@linuxmint.com>  Tue, 08 Oct 2024 21:05:21 +0100

chromium (129.0.6668.89~linuxmint1) unstable; urgency=medium

  * 129.0.6668.89

 -- Linux Mint <root@linuxmint.com>  Tue, 01 Oct 2024 23:53:20 +0100
