## chromium 129.0.6668.100~linuxmint1+virginia

=== debian/changelog ===
chromium (129.0.6668.100~linuxmint1+virginia) unstable; urgency=medium

  * 129.0.6668.100

 -- Linux Mint <root@linuxmint.com>  Tue, 08 Oct 2024 21:05:21 +0100
